Subject: bug#18513: 24.3; message-mode sends unencrypted on error

From: David Bremner <[email-masked]>
Date: Mon, 23 Sep 2019 09:18:50 -0300

Lars Ingebrigtsen <[email-masked]> writes:

> David Bremner <[email-masked]> writes:
>
>> It's definitely an improvement, and it fixes the scenario I reported. On
>> the other hand, if the use corrupts the #secure tag then essentially the
>> same behaviour results. Would it be possible to have a strict mode where
>> any unknown mml tag causes an error?
>
> I don't think it's possible to do that in general -- for instance, if
> the user removes the first three characters from the MML tag (leaving a
> line with just "ecure ..."), then Message can't know that it's supposed
> to be secure...
>
> So I don't see any way to do this in general, and I'm closing this bug
> report.
>

I don't think the fact that we can't do a perfect job is a reason not to
improve the error checking. There are many errors that can be detected
that currently are not. Is erroring on an unknown mml tag (which
nonethless actually looks like a tag) actually difficult?

d